ToolzerHub Docs

Get playlist tracks (v1)

Returns a public playlist's name, owner, followers and one page of up to 100 tracks with play count, date added, tempo and musical key. data is null when the playlist does not exist.

1 credit / requestBilled only on success
GET
/v1/spotify/playlist

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

playlist_id_or_url*string

The playlist's open.spotify.com link, its spotify:playlist: URI, or its 22-character ID (the id in a search result), such as 37i9dQZF1DXcBWIGoYBM5M.

Lengthlength <= 1000
offset?|

Zero-based position of the first track to return; each page has up to 100. Pass the next_offset of the previous page.

Range0 <= value <= 100000
Default0
curl -X GET "https://example.com/v1/spotify/playlist?playlist_id_or_url=https%3A%2F%2Fopen.spotify.com%2Fplaylist%2F37i9dQZF1DXcBWIGoYBM5M" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "37i9dQZF1DXcBWIGoYBM5M",    "uri": "spotify:playlist:37i9dQZF1DXcBWIGoYBM5M",    "url": "https://open.spotify.com/playlist/37i9dQZF1DXcBWIGoYBM5M",    "name": "Today’s Top Hits",    "description": "The hottest 50. Cover: Tame Impala",    "followers": 33626591,    "owner": {      "name": "Spotify",      "username": "spotify",      "uri": "spotify:user:spotify"    },    "image_url": "https://i.scdn.co/image/ab67706f00000002960019ea66cba66a44fdd4c2",    "total_tracks": 50,    "offset": 0,    "page_size": 100,    "next_offset": null,    "has_more": false,    "tracks": [      {        "type": "track",        "id": "4cOdK2wGLETKBW3PvgPWqT",        "uri": "spotify:track:4cOdK2wGLETKBW3PvgPWqT",        "url": "https://open.spotify.com/track/4cOdK2wGLETKBW3PvgPWqT",        "name": "Never Gonna Give You Up",        "duration_ms": 213573,        "explicit": false,        "playable": true,        "artists": [          {            "id": "0gxyHStUsqpMadRV0Di1Qt",            "name": "Rick Astley",            "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt"          }        ],        "playcount": 1200207819,        "added_at": "2026-08-07T04:02:23.096Z",        "album": {          "id": "5Z9iiGl2FcIfa3BMiv6OIw",          "name": "Whenever You Need Somebody",          "uri": "spotify:album:5Z9iiGl2FcIfa3BMiv6OIw",          "image_url": "https://i.scdn.co/image/ab67616d0000b273baf89eb11ec7c657805d2da0"        },        "bpm": 83,        "key": "F minor",        "camelot_key": "4A"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}